### Enumeration

# WPEPlatform GamepadButton

#### Declaration

    enum WPEPlatform.GamepadButton

#### Description [src]

Available buttons in a `WPEGamepad`.

#### Members

`WPE_GAMEPAD_BUTTON_RIGHT_CLUSTER_BOTTOM`

  No description available.

  - Value: `0`
  - Available since: 2.0
`WPE_GAMEPAD_BUTTON_RIGHT_CLUSTER_RIGHT`

  No description available.

  - Value: `1`
  - Available since: 2.0
`WPE_GAMEPAD_BUTTON_RIGHT_CLUSTER_LEFT`

  No description available.

  - Value: `2`
  - Available since: 2.0
`WPE_GAMEPAD_BUTTON_RIGHT_CLUSTER_TOP`

  No description available.

  - Value: `3`
  - Available since: 2.0
`WPE_GAMEPAD_BUTTON_LEFT_SHOULDER_FRONT`

  No description available.

  - Value: `4`
  - Available since: 2.0
`WPE_GAMEPAD_BUTTON_RIGHT_SHOULDER_FRONT`

  No description available.

  - Value: `5`
  - Available since: 2.0
`WPE_GAMEPAD_BUTTON_LEFT_SHOULDER_BACK`

  No description available.

  - Value: `6`
  - Available since: 2.0
`WPE_GAMEPAD_BUTTON_RIGHT_SHOULDER_BACK`

  No description available.

  - Value: `7`
  - Available since: 2.0
`WPE_GAMEPAD_BUTTON_CENTER_CLUSTER_LEFT`

  No description available.

  - Value: `8`
  - Available since: 2.0
`WPE_GAMEPAD_BUTTON_CENTER_CLUSTER_RIGHT`

  No description available.

  - Value: `9`
  - Available since: 2.0
`WPE_GAMEPAD_BUTTON_LEFT_THUMB`

  No description available.

  - Value: `10`
  - Available since: 2.0
`WPE_GAMEPAD_BUTTON_RIGHT_THUMB`

  No description available.

  - Value: `11`
  - Available since: 2.0
`WPE_GAMEPAD_BUTTON_LEFT_CLUSTER_TOP`

  No description available.

  - Value: `12`
  - Available since: 2.0
`WPE_GAMEPAD_BUTTON_LEFT_CLUSTER_BOTTOM`

  No description available.

  - Value: `13`
  - Available since: 2.0
`WPE_GAMEPAD_BUTTON_LEFT_CLUSTER_LEFT`

  No description available.

  - Value: `14`
  - Available since: 2.0
`WPE_GAMEPAD_BUTTON_LEFT_CLUSTER_RIGHT`

  No description available.

  - Value: `15`
  - Available since: 2.0
`WPE_GAMEPAD_BUTTON_CENTER_CLUSTER_CENTER`

  No description available.

  - Value: `16`
  - Available since: 2.0